Skip to content

GET /processes/{id}/step

Endpoint

GET /processes/{id}/step

Headers

biometrid-app: YOUR_APP_ID
biometrid-credential: YOUR_CREDENTIAL_ID
Content-Type: application/json

Parameters

Parameter Type Required Description
id string yes Process ID

cURL Example

curl -X GET "https://api.biometrid.com/processes/process_abc123/step" \
  -H "biometrid-app: YOUR_APP_ID" \
  -H "biometrid-credential: YOUR_CREDENTIAL_ID" \
  -H "Content-Type: application/json"

Response (200)

Current Step Response

{
  "data": {
    "processId": "string",
    "flowId": "string",
    "step": {
      "id": "string",
      "name": "string",
      "next": "string",
      "settings": {
        "maxRetries": 0,
        "preventPrevious": false,
        "deviceType": "mobile"
      },
      "action": {
        "type": "form",
        "fields": [],
        "settings": {},
        "provider": {
          "providerId": "string",
          "provider": "string"
        }
      },
      "tasks": []
    },
    "path": {
      "id": "string",
      "name": "string"
    },
    "completedSteps": {
      "id": "string",
      "name": "string",
      "type": "form"
    }
  },
  "meta": {
    "message": "Successful get current process step",
    "code": "BIOPMSCS001"
  },
  "status": true
}

Process Finished Response

{
  "data": {
    "finished": true
  },
  "meta": {
    "message": "Process finished with success",
    "code": "BIOPMSCS004"
  },
  "status": true
}

Response (403)

{
  "data": {},
  "meta": {
    "message": "Process finished",
    "code": "BIOPMSCE002"
  },
  "status": false
}

Response (404)

{
  "data": {},
  "meta": {
    "message": "Step not found",
    "code": "BIOPMSSE006"
  },
  "status": false
}

Response (409)

{
  "data": {},
  "meta": {
    "message": "Flow not active",
    "code": "BIOACASE006"
  },
  "status": false
}